Drop many assert()'s from Sayantan's code. We've had them for years and
they never triggered. A few were replaced with proper code (message and
error).
Mask mode: Enhance mask-stretching, plus other significant enhancements
and bug fixes.  We can now stretch a mask like "?dword" and iterate
lengths (eg. --min-len=5), for zero or more digits prepended to "word".

Addresses #1782, #1938, some of #2022, closes #3165.

As of yet, LM and DEScrypt formats doesn't fully support all new features.
Mask mode: Enhance mask-stretching, plus other significant enhancements
and bug fixes.  We can now stretch a mask like "?dword" and iterate
lengths (eg. --min-len=5), for zero or more digits prepended to "word".

Addresses #1782, #1938, some of #2022, closes #3165.

As of yet, LM and DEScrypt formats doesn't fully support all new features.
Mask mode: Enhance mask-stretching, plus other significant enhancements and bug fixes. We can now stretch a mask like "?dword" and iterate lengths (eg. --min-len=5), for zero or more digits prepended to "word".

Addresses #1782, #1938, some of #2022, closes #3165.

As of yet, LM and DEScrypt formats doesn't fully support all new features.
Mask mode: Enhance mask-stretching, plus other significant enhancements
and bug fixes.  We can now stretch a mask like "?dword" and iterate
lengths (eg. --min-len=5), for zero or more digits prepended to "word".

Addresses #1782, #1938, some of #2022, closes #3165.

As of yet, LM and DEScrypt formats doesn't fully support all new features.
